Skip to main content
`Ctrl`+`K`

# slepc4py.init

slepc4py.init(args=None, arch=None)

  Initialize SLEPc.

  Parameters:

    - `Beyond sys.argv`: command-line arguments, usually the ‘sys.argv’ list.

    - `arch`: specific configuration to use.

  Parameters:

    - args (str | list[str] | None)

    - arch (str | None)

  Return type:

    None

  Note

  This function should be called only once, typically at the very beginning of the bootstrap script of an application.